package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicAlbum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description 专辑查询展示
 *
 * @author: liujunchi
 * @date: 2022-03-31
 */
public class MusicAlbumVo extends MusicAlbum {


    @ApiModelProperty("收藏0：否，1：是")
    private YesOrNoEnum favorite = YesOrNoEnum.NO;


    @ApiModelProperty("教材标签")
    private String musicTagNames;

    @ApiModelProperty("曲目数量")
    private Integer musicSheetCount;

    @ApiModelProperty("收藏数量")
    private Integer albumFavoriteCount;

    @ApiModelProperty("专辑声部")
    private String subjectNames;

    public YesOrNoEnum getFavorite() {
        return favorite;
    }

    public void setFavorite(YesOrNoEnum favorite) {
        this.favorite = favorite;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public Integer getMusicSheetCount() {
        return musicSheetCount;
    }

    public void setMusicSheetCount(Integer musicSheetCount) {
        this.musicSheetCount = musicSheetCount;
    }

    public Integer getAlbumFavoriteCount() {
        return albumFavoriteCount;
    }

    public void setAlbumFavoriteCount(Integer albumFavoriteCount) {
        this.albumFavoriteCount = albumFavoriteCount;
    }
}
